Cancel an invoice

Cancels an unpaid invoice.

DELETE/invoices/{invoiceId}

System information

API key
Required
Rate limit
∞
curl -X DELETE "https://api.atomic.wallet/api/v1/invoices/{invoiceId}" \
  -H "x-api-key: $API_KEY"
{
  "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "projectUuid": "73e68013-32f0-4248-95ac-46aed61e59b0",
  "coinCode": "USDT",
  "networkCode": "tron",
  "coinName": "Tether USD",
  "networkName": "TRON",
  "networkPrefix": "TRC-20",
  "amount": "100.000000",
  "sourceAmount": "100.00",
  "sourceCurrency": "USD",
  "sourceRate": "1.000000",
  "status": "cancelled",
  "confirmedAmount": "0.000000",
  "unconfirmedAmount": "0.000000",
  "remainingAmount": "100.000000",
  "overpaidAmount": "0.000000"
}

Response fields

ParameterTypeDescription
uuidstringInvoice UUID.
projectUuidstringProject UUID.
coinCodestringCryptocurrency code.
networkCodestringBlockchain network code.
coinNamestringCryptocurrency name.
networkNamestringNetwork name.
networkPrefixstringToken standard in the network, for example TRC-20.
amountstringAmount to pay in cryptocurrency.
sourceAmountstringInvoice amount in the source currency.
sourceCurrencystringInvoice source currency.
sourceRatestringConversion rate from the source currency to cryptocurrency.
statusstringInvoice status, see “Statuses”.
confirmedAmountstringPaid and confirmed amount.
unconfirmedAmountstringReceived but not yet confirmed amount.
remainingAmountstringAmount left to pay.
overpaidAmountstringOverpaid amount.

Possible errors

HTTPCodeDescription
404INVOICE_NOT_FOUNDInvoice not found.
400INVOICE_CANCELLATION_NOT_ALLOWEDThe invoice cannot be cancelled.